image:
  name: hashicorp/terraform:0.14.10
  entrypoint:
  - '/usr/bin/env'
  - 'PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin'

include:
- template: 'Workflows/MergeRequest-Pipelines.gitlab-ci.yml'

stages:
- test

validate:
  stage: test
  before_script:
  - terraform init
  script:
  - terraform validate

fmt:
  stage: test
  before_script:
  - terraform init
  script:
  - terraform fmt -check
  after_script:
  - terraform fmt -diff

lint:
  stage: test
  image:
    name: wata727/tflint:0.26.0
    entrypoint:
      - '/usr/bin/env'
      - 'PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin'
  script:
  - tflint
